Bug 152291 - kernel locks up sometimes after ACPI: PCI interrupt
kernel locks up sometimes after ACPI: PCI interrupt
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-27 13:04 EST by Ricky Ng-Adam
Modified: 2015-01-04 17:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:29:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 2300 None None None Never

  None (edit)
Description Ricky Ng-Adam 2005-03-27 13:04:51 EST
Description of problem:

The kernel locks up at boot just after these messages:

pnp: Device 00:0b activated.
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 11
PCI: setting IRQ 11 as level-triggered
ACPI: PCI interrupt 0000:00:03.1[A] -> GSI 11 (level, low) -> IRQ 11

Version-Release number of selected component (if applicable):

2.6.11-1.1202_FC4

How reproducible:

...sometimes...  I had a the problem a few times in a row, and after a boot in
FC4t1 that was already on the disk, it started working again!

Steps to Reproduce:
1. pxe boot rawhide
2.
3.
  
Actual results:

kernel locks up.

Expected results:

kernel and install proceed normally

Additional info:

First, see here: http://bugzilla.kernel.org/show_bug.cgi?id=2300

Since I had reported the problem on kernel.org, I had installed and used
successfully a few recent distros on this machine (FC3, Ark Linux 2005,
FC4-Test1/2.6.11-1177_FC4) and it worked fine. Even up the pxe boot vmlinuz I
rsync'ed yesterday (2005/03/26 18h30 EST from mirror ftp.muug.mb.ca) worked up
to the unrelated problem I reported in bug 152265. 

However, the lock up has reappeared with FC4/2.6.11-1.1202_FC4 from rawhide
today (2005/03/26 11h30 EST from the same mirror).  

If I compare with dmesg from from 2.6.11-1177_FC4, the next messages are
supposed to be:

io scheduler noop registered
io scheduler anticipatory registered
[etc...]

If I compare a screenful of messages before that, the only difference are:

2.6.11-1177_FC4:
Linux agpgart interface v0.100 (c) Dave Jones
[one line that is same]
+agpgart: Maximum main memory to use for agp memory: 149M

2.6.11-1.1202_FC4
Linux agpgart interface v0.101 (c) Dave Jones
[...]
+PNP: PS/2 Controller [PNP0303:KBD, PNP0f13:MOU] at 0x60,0x64 irq 1,12

However, I haven't seen any difference in dmesg from a successful and
unsuccessful boot of 2.6.11-1.1202_FC4... Seems to be a very subtle
hardware/software interaction problem...
Comment 1 Dave Jones 2005-08-04 15:20:31 EDT
still a problem with the latest kernels ?
Comment 2 John Thacker 2006-05-04 09:29:55 EDT
No response, closing.

Note You need to log in before you can comment on or make changes to this bug.